
{% extends 'base.html.twig' %}


{% block body %}
 <h2>Liste des sorties</h2>
    <div>
        <h2>filtre :</h2>
        {% form_theme sortieForm 'views/forms/fields.html.twig' %}
        {{ form_start(sortieForm) }}
        <div class="flex_div">
            <div>
                {{ form_row(sortieForm.nomSite) }}
                {{ form_row(sortieForm.nomSortie) }}
                {{ form_row(sortieForm.date) }}
                {{ form_row(sortieForm.dateFin) }}
            </div>
        </div>
        <button id="searchButton">Rechercher</button>
        {{ form_end(sortieForm) }}
    </div>
 <div class="flex_div flex_between">
        {% if currentPage > 1 %}
            <a class="link_button" href="{{ path('sortie_list', {'page': currentPage - 1}) }}">Page précédente</a>
        {% endif %}
        {% if currentPage < maxPage %}
            <div></div>
            <a class="link_button" href="{{ path('sortie_list', {'page': currentPage + 1}) }}">Page suivante</a>
        {% endif %}
    </div>
    <section class="sortie-list">
    <table class="pure-table">
    <thead>
        <tr>
            <th>Titre</th>
            <th>Date</th>
            <th>Max Part</th>
            <th>Lieu</th>
        </tr>
    </thead>
    <tbody>
        {% for sortie in sorties %}
            <tr>
                <td>
                    <a href="{{ path('sortie_detail', {'sortieId': sortie.id}) }}" title="Voir le détail de la sortie">
                        <b>{{ sortie.titre }}</b>
                    </a>
                </td>
                <td>
                    {{ sortie.dateSortie|date('d-m-y') }} 
                </td>
                <td>
                    {{ sortie.nbMaxParticipants }}
                </td>
                <td>
                    {{ sortie.lieu.nom }}
                </td>  
            </tr>
        {% endfor %}
        </tbody>
    </table>
    </section>
{% endblock %}
